Unit tafp2r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, AFP2R_p;

function tafp2r: String;

implementation

function tafp2r: String;
var
J,I,_i :Integer;
L :Array [0..3] of Integer;
V :Array [0..6] of Real;
const
A :Array [0..27] of Real = ( 1.0,0.0,2.0,1.0,-1.0,-1.0,0.0,3.0,2.0,1.0,-3.0,
1.0,1.0,2.0,2.0,2.0,-1.0,-4.0,2.0,2.0,2.0,4.0,3.0,
-2.0,0.0,0.0,2.0,0.0 );
begin
Result := '';  {   }
Result := Result + Format('%s',[' CXOHA MATPA']) + #$0D#$0A; 
Result := Result + #$0D#$0A;
for I:=1 to 7 do
 begin
  for J:=1 to 4 do
   begin
    Result := Result + Format('%20.16f ',[A[(I-1)+(J-1)*7]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
AFP2R(A,7,4,V,L);
Result := Result + Format('%s',[' PETAT AKTOPA']) + #$0D#$0A; 
Result := Result + #$0D#$0A;
for I:=1 to 7 do
 begin
  for J:=1 to 4 do
   begin
    Result := Result + Format(' A%20.16f ',
 [A[(I-1)+(J-1)*7]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
for I:=1 to 4 do
 begin
  Result := Result + Format(' V%20.16f ',[V[I-1]]) + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[' L']);
Result := Result + #$0D#$0A;
for _i:=0 to 3 do
 begin
  Result := Result + Format('%5d ',[L[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tafp2r',Result);  {     tafp2r.res }
exit;
end;

end.
